Developers
API ReferenceProgress Stamp

Updates the ProgressStamp resource

PATCH
/project/progress-stamps/{id}

Updates the ProgressStamp resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ProgressStamp identifier

Request Body

The updated ProgressStamp resource

  1. body
description?|
Lengthlength <= 500

Response Body

ProgressStamp resource updated

  1. response
id?string
Formatuuid
project?string
Formatiri-reference
createdBy?|
Formatiri-reference
createdAt?string
Formatdate-time
stampData?array<string|null>
size?string
Default0
description?|
Lengthlength <= 500
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/progress-stamps/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "project": "https://example.com/",  "createdBy": "https://example.com/",  "createdAt": "2019-08-24T14:15:22Z",  "stampData": [    "string"  ],  "size": 0,  "description": "string"}